%define LANG fr
Name: man-pages-%LANG
Version: 0.9.4
Release: alt1
%define patch_ver 0.9.2-tvtree1

Summary: French man (manual) pages from the Linux Documentation Project
Summary(fr): Pages de manuel en franais du Projet de Documentation Linux.

License: distributable
Group: System/Internationalization

Source:	ftp://ftp.lip6.fr/pub/linux/french/docs/man-fr-%version.tar.bz2 
Source2: man-pages-%LANG-goodies.tar.bz2
Source3: http://www.delafond.org/traducmanfr/mansupfr.tar.bz2
Patch0:	ftp://ftp.mandrakesoft.com/pub/tv/man-fr/%name-0.9.4-tvtree1.diff.bz2
Patch5:	man-pages-fr-0.9.3-typos.diff.bz2

Autoreqprov: false
BuildArchitectures: noarch

Obsoletes: man-%LANG, manpages-%LANG
Provides: man-%LANG = %version, manpages-%LANG = %version

%description
A large collection of man pages (reference material) from the Linux
Documentation Project (LDP), translated to French.  The man pages are
organized into the following sections:

        Section 1:  User commands (intro only)
        Section 2:  System calls
        Section 3:  Libc calls
        Section 4:  Devices (e.g., hd, sd)
        Section 5:  File formats and protocols (e.g., wtmp, /etc/passwd,
                nfs)
        Section 6:  Games (intro only)
        Section 7:  Conventions, macro packages, etc. (e.g., nroff, ascii)
        Section 8:  System administration (intro only)
        Section 9:  Kernel routines

%description -l fr
Une large collection de pages de manuel du Project de Documentation Linux (LDP),
traduites en Franais. Les pages de manuel sont organises en differentes
sections :

        Section 1:  Commandes utilisateur.
        Section 2:  Appels systme.
        Section 3:  Appels de la Libc.
        Section 4:  Priphriques (par ex. hd, sd).
        Section 5:  Formats de fichiers et de protocoles (par ex. wtmp,
					/etc/passwd, nfs)
        Section 6:  Jeux (intro seulement)
        Section 7:  Conventions, macro packages, etc. (par ex. nroff, ascii)
        Section 8:  Administration systme (intro seulement)
        Section 9:  Routines du noyau

%prep
%setup -q -n man-fr -a3
%patch0 -p1
%patch5 -p0

%build
ln -f pagesdeman/debian/* pagesdeman/%_mandir/%LANG/man1/
mv pagesdeman/mandrake/man1/drakfloppy.1 pagesdeman/%_mandir/%LANG/man1/
mkdir man6
for i in man{1,2,3,4,5,6,7,8}; do mv pagesdeman%_mandir/%LANG/$i/* $i||true;done

%install
(cd man7; ln -sf iso_8859-1.7 latin1.7; ln -sf iso_8859-1.7 iso_8859_7.7)
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%_mandir/%LANG/man{1,2,3,4,5,6,7,8,9,n}
mkdir -p $RPM_BUILD_ROOT%_cachedir/man/%LANG/cat{1,2,3,4,5,6,7,8,9,n}
mkdir -p $RPM_BUILD_ROOT%_cachedir/man/X11R6/%LANG/cat{1,2,3,4,5,6,7,8,9,n}

for i in 1 2 3 4 5 6 7 8 9 ; do
	cp -adpvrf man$i $RPM_BUILD_ROOT/%_mandir/%LANG/||:
done

#this file is from initscripts
rm $RPM_BUILD_ROOT/%_mandir/%LANG/{man8/usernetctl.8*,man1/{consoletype,doexec,usleep}.1*}

tar jxf %SOURCE2 -C $RPM_BUILD_ROOT/usr

#special dirs
mkdir -p  $RPM_BUILD_ROOT%_cachedir/man/{X11R6/%LANG,%LANG}
mkdir -p  $RPM_BUILD_ROOT%_x11mandir/%LANG

%post -p /etc/cron.daily/makewhatis

%postun
if [ "$1" = 0 ] ; then
       %__rm -rf %_cachedir/man/%LANG
fi

%files
%doc LISEZ_MOI changements
%_mandir/%LANG
%_x11mandir/%LANG/
%dir %_cachedir/man/%LANG
%dir %_cachedir/man/X11R6/%LANG
%defattr(775,root,man)
%_cachedir/man/%LANG/cat*
%defattr(775,root,man)
%_cachedir/man/X11R6/%LANG/cat*

%changelog
* Thu Aug 08 2002 Stanislav Ievlev <inger@altlinux.ru> 0.9.4-alt1
- 0.9.4
- fixed bug #0000930

* Tue Mar 19 2002 Stanislav Ievlev <inger@altlinux.ru> 0.9.3-alt1
- 0.9.3
- light cleanups

* Mon Oct 29 2001 Stanislav Ievlev <inger@altlinux.ru> 0.9.2-alt1
- 0.9.2

* Wed Jan 17 2001 AEN <aen@logic.ru>
- RE adaptation

* Wed Aug 09 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8-9mdk
- add various fixes i got from gael and erwan

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8-8mdk
- fix tmppath

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8-7mdk
- fix permissions

* Tue Jul 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8-6mdk
- readd  apropos.1,whatis.1, and man.config.5

* Tue Jul 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8-5mdk
- build release for BM

* Wed Jun 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8-4mdk
- fix permission on /usr/doc/man-pages-fr* so that everybody can read it

* Wed Jun 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8-3mdk
- use %_mandir to prepare FHS respect

* Thu Mar 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8-2mdk
- convert to new group scheme
- use spechelper
- fix build as user (the makewhatis that was added at the end of the rpm
  process try to write on /root/whatis ...)
- fix problem with spechelper with links on links on files.

* Fri Feb 25 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.8-1mdk
- Tadaa! 0.8 is out (thanks Thierry)

* Thu Jan 20 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- fixes and corrections from Thierry Vignaud

* Wed Dec 22 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added 'man drake' from Aleksey Smirnov

* Thu Dec 09 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- more man-pages ...
- fix non-root build

* Thu Dec 07 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add some new (25+) manpages that were present in LDP's english man-pages but
  not in french ones with the benediction of C. Blaess which will wait before
  releasing man-fr-1.28 (he's thinking about using the LDP versionning system
  as soon as we have all the manpages).

  Here is a partial list of new manpages :
  dir(1), intro(1), vdir(1),
  capget(2), capset(2), lchown(2), pread(2), sendfile(2),
  MB_CUR_MAX(3), MB_LEN_MAX(3), bindresvport(3), getrpcport(3), wcslen(3),
      fgetwc(3), getwc(3)
  fifo(4),
  hosts.equiv(5), rpc(5),
  sync(8),
  init_module(9), probe_irq_off(9), probe_irq_on(9), proc_dir_entry(9),
      proc_register(9), proc_register_dynamic(9), proc_unregister(9)

- also fix some typos (some of mine though)

* Fri Nov 19 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- moved makewhatis.%LANG from /usr/local/sbin to /usr/sbin

* Fri Aug 20 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- corrected typos in french description

* Tue Jul 20 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- included some nice improvements from man-pages-pl

* Tue Jul  8 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- updated description

* Wed Jul  7 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- changed the name from man-fr to man-pages-fr, to make it consistent
  with the english man pages package.
- updated to version 0.7 of french man pages
- merged with the rpm package I mantained before; that is I added an icon,
  the /var/catman/fr tree, a makewhatis.fr script, and a cron entry to run it

* Fri May 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for new environnement.

* Tue Apr 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Initial version.
- Add a script for /etc/man.config

